Skip to main content

Account Events

Accounts Updated​

An account has been updated.

{
"id": "event_c4b2c210-ce32-41d4-a9a1-cfad4fdf191c",
"event_type": "ACCOUNT",
"position": "CJO1fxACGAAgADAB",
"timestamp": "2025-03-29T07:02:33.200962333Z",
"payload": {
"client_request_id": "d44caf9eb12d4abe894b529699059ec5",
"account_id": "1207025778140889088",
"account_number": "CTH9114668",
"biz_type": "ACCOUNT_INFO_UPDATE",
"status": "APPROVED",
"timestamp": "2025-11-21T06:27:43.312Z"
}
}

Account Closed​

An account close application has been approved/rejected.

{
"id": "event_c4b2c210-ce32-41d4-a9a1-cfad4fdf191c",
"event_type": "ACCOUNT",
"position": "CJO1fxACGAAgADAB",
"timestamp": "2025-03-29T07:02:33.200962333Z",
"payload": {
"client_request_id": "d44caf9eb12d4abe894b529699059ec5",
"account_id": "1207025778140889088",
"account_number": "CTH9114668",
"biz_type": "ACCOUNT_CLOSE",
"status": "APPROVED",
"timestamp": "2025-11-21T06:27:43.312Z"
}
}

Response Fields​

FieldTypeDescription
idstringUnique event identifier
positionstringCursor for event replay; re-pushes subsequent events within the current business type.
event_typestringEvent type, fixed as ACCOUNT
timestampstringEvent timestamp in ISO 8601 format
payloadobjectEvent payload data

Payload Fields​

FieldTypeDescription
client_request_idstringClient-supplied request identifier (if provided)
account_idstringNumeric account identifier (present when an account is created/exists)
account_numberstringHuman-readable account number (present when assigned)
biz_typestringBusiness type, e.g. ACCOUNT_CREATE, ACCOUNT_INFO_UPDATE, ACCOUNT_RESTRICT, ACCOUNT_CLOSE
statusstringStatus for the operation (APPROVED, REJECTED, etc.)
restrict_codestringRestriction code when biz_type is ACCOUNT_RESTRICT (example: NT)
reasonstringReason for the status (e.g. rejection reason or restriction reason)
broker_codestringBroker identifier (may be present for certain close/fail events)
timestampstringPayload timestamp in ISO 8601 format